Skip to content

Update editable field values on the latest version of a single document. To update past document versions, see Update Document Version. Note that this endpoint does not allow you to update the archive__v field. To archive a document, or to update multiple documents at once, see Update Multiple Documents.

PUT/api/{version}/objects/documents/{doc_id}
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
X-VaultAPI-MigrationModeWhen set to true, Vault applies Document Migration Mode limitations to documents updated with the request. You must have the Document Migration permission to use this header. Learn more about Document Migration Mode in Vault Help.
NameDescription
{doc_id}The document id field value.

In the body of the request, add any editable field values that you wish to update. To find these fields, Retrieve Document Fields configured on documents. Editable fields will have editable:true. To remove existing field values, include the field name and set its value to null.

curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "language__v=English" \ -d "product__v=1357662840171" \ -d "audience__vs=consumer__vs" \ https://myvault.veevavault.com/api/v22.1/objects/documents/534
{ "responseStatus": "SUCCESS", "id": 534 }